Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1787775 - ranger-1.9.3 is available
Summary: ranger-1.9.3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ranger
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-05 08:49 UTC by Upstream Release Monitoring
Modified: 2021-01-08 02:51 UTC (History)
3 users (show)

Fixed In Version: ranger-1.9.3-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-08 02:51:25 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 1.9.3 (#1787775) (981 bytes, patch)
2020-01-05 08:49 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2020-01-05 08:49:23 UTC
Latest upstream release: 1.9.3
Current version/release in rawhide: 1.9.2-6.fc32
URL: https://ranger.github.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/7426/

Comment 1 Upstream Release Monitoring 2020-01-05 08:49:27 UTC
Created attachment 1649868 [details]
[patch] Update to 1.9.3 (#1787775)

Comment 2 Upstream Release Monitoring 2020-01-05 09:33:51 UTC
the-new-hotness/release-monitoring.org's scratch build of ranger-1.9.3-1.fc29.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=40136461

Comment 3 Anatoli Babenia 2020-06-22 08:50:53 UTC
Any ideas why this release didn't get into F32?

Comment 4 Anatoli Babenia 2020-06-22 09:11:41 UTC
The reason I am asking is that previews for text files with ANSI codes are not working in 1.9.2 for me, and I don't know if I should report it upstream or it has already been fixed.

Comment 5 Michel Alexandre Salim 2020-08-25 18:04:35 UTC
From the changelog it should be safe to upgrade this even post-release:

https://ranger.github.io/changelog.html

I rebuilt the Rawhide spec for EPEL8 and can report it works fine on my CentOS 8.2 box, would love to see it released for at least F32 too.

Comment 6 Fedora Update System 2020-12-31 01:54:45 UTC
FEDORA-2020-5a78f63c26 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a78f63c26

Comment 7 Fedora Update System 2021-01-01 01:34:36 UTC
FEDORA-2020-5a78f63c26 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5a78f63c26`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a78f63c26

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-01-08 02:51:25 UTC
FEDORA-2020-5a78f63c26 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.